/// <reference types="react" />
import { Command, CLIArgs, Flags } from '../cli';
import { IsolatorExtension } from './isolator.extension';
import CapsuleList from './capsule-list';
interface CreateOpts {
    baseDir: string | null | undefined;
    alwaysNew: boolean;
    id: string;
    installPackages: boolean;
}
export declare class CapsuleCreateCmd implements Command {
    private isolator;
    name: string;
    description: string;
    shortDescription: string;
    group: string;
    alias: string;
    options: import("../../cli/legacy-command").CommandOptions;
    constructor(isolator: IsolatorExtension);
    create([componentIds]: [string[]], { baseDir, alwaysNew, id, installPackages }: CreateOpts): Promise<CapsuleList>;
    render([componentIds]: CLIArgs, opts: Flags): Promise<JSX.Element>;
    json([componentIds]: CLIArgs, opts: Flags): Promise<string>;
}
export {};
